Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api
[Java] Interface Action

    public interface Action

Performs some action against objects of type T.

Parameters:
  `` - The type of object which this action accepts.

Method Summary
`void` | `execute(Object t)` Performs this action against the given object.

Method Detail

### execute

    public void execute(Object t)

  Performs this action against the given object.
  Parameters:
    `t` - The object to perform the action on.

Gradle API 1.1-rc-1